<template>
  <div>
    <RouterView />
  </div>
</template>

<script lang="ts">
// import the store for current module
import useAdminStore from "./store";

export default defineComponent({
  setup() {
    const adminStore = useAdminStore();

    return { adminStore };
  },

  computed: {
    moduleIsReady(): boolean {
      return this.adminStore.project !== null;
    },
  },

  created() {
    this.initialize();
  },

  methods: {
    async initialize() {
      // do initialization stuff (e.g. API calls, element loading, etc.)
      // ...
    },
  },
});
</script>

<style></style>
